<template>
  <div v-html="service_description" class="container content"></div>
</template>

<script lang="ts">
import { Component, Vue, Prop } from "vue-property-decorator";
import { CatalogItem } from "@/services/osb/catalog";

import _ from "lodash";
import marked from "marked";
import purify from "dompurify";

@Component
export default class ServiceOfferingDashboard extends Vue {
  get service_overview(): CatalogItem {
    return this.$store.getters["catalog/getOfferingByID"](
      this.$route.params.id
    );
  }

  get service_description() {
    return purify.sanitize(
      marked(
        _.get(
          this.service_overview,
          "metadata.longDescription",
          this.service_overview.description
        )
      )
    );
  }
}
</script>

<style lang="scss" scoped>
</style>
